import { postModel, getModel } from '@/utils/reqHelper'
import { url } from '../url'

export const Login = postModel(url.userLogin);
export const GetUserMenulist = getModel(url.UserMenulist);
export const PostSmsSend = postModel(url.SmsSend);
export const GetCaptcha = getModel(url.Captcha);

// 角色
export const PostRoleAdd = postModel(url.RoleAdd);
export const PostRoleDel = postModel(url.RoleDel);
export const PostRoleEdit = postModel(url.RoleEdit);
export const GetRoleList = getModel(url.RoleList);
export const PostRoleAddpermission = postModel(url.RoleAddpermission);
export const getRoleGetpermissions = getModel(url.RoleGetpermissions);
export const PostRoleDelpermission = postModel(url.RoleDelpermission);

// 权限
export const PostRoleSavepermissions = postModel(url.RoleSavepermissions);
export const addPermission = postModel(url.permissionAdd);
export const getPermission = getModel(url.permissionList);
export const updatePermission = postModel(url.permissionUpdate);
export const getPermissionListWithchilds = getModel(url.permissionListWithchilds);

// 账号
export const addAccount = postModel(url.accountAdd);
export const getAccount = getModel(url.accountList);
export const updateAccount = postModel(url.accountUpdate);

// 企业
export const addCompany = postModel(url.companyAdd);
export const getCompanyList = getModel(url.companyList);
export const updateCompany = postModel(url.companyEdit);
// VIP
export const PostCompanyVipmanage = postModel(url.companyVipmanage);
export const GetCompanyInfo = getModel(url.companyInfo);
export const GetCompanyVipInfo = getModel(url.companyVipInfo);
export const PostCompanyMultiClose = postModel(url.companyMultiClose);
export const PostCompanyMultiOpen = postModel(url.companyMultiOpen);

export const PostCompanyEdit = postModel(url.companyEdit);
export const PostCompanyViplist = getModel(url.companyViplist);
export const PostCompanyJobAdd = postModel(url.companyJobAdd);
export const PostCompanyJobEdit = postModel(url.companyJobEdit);
export const GetCompanyJobList = getModel(url.companyJobList);
export const PostCompanyJobInfo = getModel(url.companyJobInfo);
export const PostCompanyDepartmentAdd = postModel(url.companyDepartmentAdd);
export const PostCompanyDepartmentEdit = postModel(url.companyDepartmentEdit);
export const GetCompanyDepartmentList = getModel(url.CompanyDepartmentList);
export const GetCompanyDepartmentInfo = getModel(url.companyDepartmentInfo);

// 类型
export const PostHousekeepingtypeAdd = postModel(url.HousekeepingtypeAdd);
export const PostHousekeepingtypeDel = postModel(url.HousekeepingtypeDel);
export const PostHousekeepingtypeUpdate = postModel(url.HousekeepingtypeUpdate);
export const GetHousekeepingtypeList = getModel(url.HousekeepingtypeList);
export const GetHousekeepingtypeDetail = getModel(url.HousekeepingtypeDetail);

// 职位
export const PostHousekeepingapplyAdd = postModel(url.HousekeepingapplyAdd);
export const PostHousekeepingapplyDel = postModel(url.HousekeepingapplyDel);
export const PostHousekeepingapplyUpdate = postModel(url.HousekeepingapplyUpdate);
export const GetHousekeepingapplyList = getModel(url.HousekeepingapplyList);
export const GetHousekeepingapplyDetail = getModel(url.HousekeepingapplyDetail);

// 需求
export const PostHousekeepingAdd = postModel(url.HousekeepingAdd);
export const PostHousekeepingDel = postModel(url.HousekeepingDel);
export const PostHousekeepingUpdate = postModel(url.HousekeepingUpdate);
export const GetHousekeepingList = getModel(url.HousekeepingList);
export const GetHousekeepingDetail = getModel(url.HousekeepingDetail);

// 预定
export const PostHousekeepingappointmentAdd = postModel(url.HousekeepingappointmentAdd);
export const PostHousekeepingappointmentDel = postModel(url.HousekeepingappointmentDel);
export const PostHousekeepingappointmentUpdate = postModel(url.HousekeepingappointmentUpdate);
export const GetHousekeepingappointmentList = getModel(url.HousekeepingappointmentList);
export const GetHousekeepingappointmentDetail = getModel(url.HousekeepingappointmentDetail);


// 招聘会
export const PostRecruitmentAdd = postModel(url.RecruitmentAdd);
export const PostRecruitmentDel = postModel(url.RecruitmentDel);
export const PostRecruitmentUpdate = postModel(url.RecruitmentUpdate);
export const listRecruitment = getModel(url.recruitmentList);
export const GetRecruitmentDetail = getModel(url.RecruitmentDetail);

// 招聘会企业  
export const PostRecruitmentBookAdd = postModel(url.RecruitmentBookAdd);
export const PostRecruitmentBookDel = postModel(url.RecruitmentBookDel);
export const PostRecruitmentBookUpdate = postModel(url.RecruitmentBookUpdate);
export const GetRecruitmentBookList = getModel(url.RecruitmentBookList);

// 文章栏目
export const addSection = postModel(url.sectionAdd);
export const delSection = postModel(url.sectionDel);
export const updateSection = postModel(url.sectionUpdate);
export const listSection = getModel(url.sectionList);

// 文章
export const addArticle = postModel(url.articleAdd);
export const delArticle = postModel(url.articleDel);
export const updateArticle = postModel(url.articleUpdate);
export const listArticle = getModel(url.articleList);

// 广告  
export const PostAdvertareaAdd = postModel(url.advertareaAdd);
export const PostAdvertareaDel = postModel(url.advertareaDel);
export const PostAdvertareaUpdate = postModel(url.advertareaUpdate);
export const GetAdvertareaList = getModel(url.advertareaList);
export const GetAdvertareaDetail = getModel(url.advertareaDetail);
// 投放
export const PostAdvertscheduleAdd = postModel(url.advertscheduleAdd);
export const PostAdvertscheduleDel = postModel(url.advertscheduleDel);
export const PostAdvertscheduleUpdate = postModel(url.advertscheduleUpdate);
export const GetAdvertscheduleList = getModel(url.advertscheduleList);
export const GetAdvertscheduleDetail = getModel(url.advertscheduleDetail);

// 活动
export const PostActivityExportUsers = postModel(url.activityExportUsers);
export const PostActivityaddressAdd = postModel(url.activityaddressAdd);
export const PostActivityaddressDel = postModel(url.activityaddressDel);
export const PostActivityaddressUpdate = postModel(url.activityaddressUpdate);
export const GetActivityaddressList = getModel(url.activityaddressList);
export const GetActivityaddressDetail = getModel(url.activityaddressDetail);
export const GetActivityaddressCate = getModel(url.activityaddressCate);


// 字典数据
export const GetDictTree = getModel(url.dictTree);
export const PostImageUpload = postModel(url.ImageUpload);

// 简历
// 列表
export const PostJobseekerList = postModel(url.JobseekerList);
export const GetJobseekerDetail = getModel(url.JobseekerDetail);
// 基本资料
export const PostJobapplicantAdd = postModel(url.JobapplicantAdd);
export const PostJobapplicantDel = postModel(url.JobapplicantDel);
export const PostJobapplicantUpdate = postModel(url.JobapplicantUpdate);
export const GetJobapplicantList = getModel(url.JobapplicantList);
export const GetJobapplicantDetail = getModel(url.JobapplicantDetail);
// 联系方式
export const PostJobapplicantAddcontact = postModel(url.JobapplicantAddcontact);
export const PostJobapplicantDelcontact = postModel(url.JobapplicantDelcontact);
export const PostJobapplicantUpdatecontact = postModel(url.JobapplicantUpdatecontact);
export const PostJobapplicantListcontact = getModel(url.JobapplicantListcontact);
export const PostJobapplicantContactdetail = getModel(url.JobapplicantContactdetail);
// 证书技能
export const PostJobapplicantAddskill = postModel(url.JobapplicantAddskill);
export const PostJobapplicantDelskill = postModel(url.JobapplicantDelskill);
export const PostJobapplicantUpdateskill = postModel(url.JobapplicantUpdateskill);
export const PostJobapplicantListskill = getModel(url.JobapplicantListskill);
export const PostJobapplicantSkilldetail = getModel(url.JobapplicantSkilldetail);
// 培训经历
export const PostJobapplicantAddtraining = postModel(url.JobapplicantAddtraining);
export const PostJobapplicantDeltraining = postModel(url.JobapplicantDeltraining);
export const PostJobapplicantUpdatetraining = postModel(url.JobapplicantUpdatetraining);
export const PostJobapplicantListtraining = getModel(url.JobapplicantListtraining);
export const PostJobapplicantTrainingdetail = getModel(url.JobapplicantTrainingdetail);
// 求职意向-基本
export const PostJobapplicantAdddesirebase = postModel(url.JobapplicantAdddesirebase);
export const PostJobapplicantDeldesirebase = postModel(url.JobapplicantDeldesirebase);
export const PostJobapplicantUpdatedesirebase = postModel(url.JobapplicantUpdatedesirebase);
export const PostJobapplicantListdesirebase = getModel(url.JobapplicantListdesirebase);
export const PostJobapplicantDesirebasedetail = getModel(url.JobapplicantDesirebasedetail);
// 求职意向-地区 
export const PostJobapplicantAdddesirearea = postModel(url.JobapplicantAdddesirearea);
export const PostJobapplicantDeldesirearea = postModel(url.JobapplicantDeldesirearea);
export const PostJobapplicantUpdatedesirearea = postModel(url.JobapplicantUpdatedesirearea);
export const PostJobapplicantListdesirearea = getModel(url.JobapplicantListdesirearea);
export const PostJobapplicantDesireareadetail = getModel(url.JobapplicantDesireareadetail);
// 求职意向-职位
export const PostJobapplicantAdddesireindustry = postModel(url.JobapplicantAdddesireindustry);
export const PostJobapplicantDeldesireindustry = postModel(url.JobapplicantDeldesireindustry);
export const PostJobapplicantUpdatedesireindustry = postModel(url.JobapplicantUpdatedesireindustry);
export const PostJobapplicantListdesireindustry = getModel(url.JobapplicantListdesireindustry);
export const PostJobapplicantDesireindustrydetail = getModel(url.JobapplicantDesireindustrydetail);
// 工作经历
export const PostJobapplicantAddexperience = postModel(url.JobapplicantAddexperience);
export const PostJobapplicantDelexperience = postModel(url.JobapplicantDelexperience);
export const PostJobapplicantUpdateexperience = postModel(url.JobapplicantUpdateexperience);
export const PostJobapplicantListexperience = getModel(url.JobapplicantListexperience);
export const PostJobapplicantExperiencedetail = getModel(url.JobapplicantExperiencedetail);
// 证书
export const PostJobapplicantAddcertificate = postModel(url.JobapplicantAddcertificate);
export const PostJobapplicantUpdatecertificate = postModel(url.JobapplicantUpdatecertificate);
export const PostJobapplicantListcertificate = getModel(url.JobapplicantListcertificate);
export const PostJobapplicantCertificatedetail = getModel(url.JobapplicantCertificatedetail);



export const PostJobapplicantAddintroduction = postModel(url.JobapplicantAddintroduction); // 个人介绍
export const PostJobapplicantDelintroduction = postModel(url.JobapplicantDelintroduction); // 个人介绍
export const PostJobapplicantUpdateintroduction = postModel(url.JobapplicantUpdateintroduction); // 个人介绍
export const GetJobapplicantListintroduction = getModel(url.JobapplicantListintroduction); // 个人介绍
export const GetJobapplicantIntroductiondetail = getModel(url.JobapplicantIntroductiondetail); // 个人详情

// 统计
export const GetStatsMajor = getModel(url.StatsMajor);
export const GetStatsCertificate = getModel(url.StatsCertificate);
export const GetStatsWorkExperience = getModel(url.StatsWorkExperience);
export const GetStatsHa = getModel(url.StatsHa);
export const GetStatsAgeandgender = getModel(url.StatsAgeandgender);
export const GetStatsEducation = getModel(url.StatsEducation);
export const GetStatsPosition = getModel(url.StatsPosition);
export const GetStatsTitleAndSkill = getModel(url.StatsTitleAndSkill);
export const GetStatsJobMajor = getModel(url.StatsJobMajor);

// 设置
export const PostSysconfigAdd = postModel(url.SysconfigAdd); // 
export const PostSysconfigDel = postModel(url.SysconfigDel); // 
export const PostSysconfigUpdate = postModel(url.SysconfigUpdate); // 
export const GetSysconfigList = getModel(url.SysconfigList); // 
export const GetSysconfigDetail = getModel(url.SysconfigDetail);

// 反馈
export const PostFeedbackAdd = postModel(url.FeedbackAdd);
export const PostFeedbackDel = postModel(url.FeedbackDel);
export const PostFeedbackUpdate = postModel(url.FeedbackUpdate);
export const GetFeedbackList = getModel(url.FeedbackList);
export const GetFeedbackDetail = getModel(url.FeedbackDetail);

// 反馈
export const PostCustomerAdd = postModel(url.CustomerAdd);
export const PostCustomerDel = postModel(url.CustomerDel);
export const GetCustomerUpdate = getModel(url.CustomerUpdate);
export const GetCustomerList = getModel(url.CustomerList);
export const GetCustomerDetail = getModel(url.CustomerDetail);

export const PostEsJobseeker = postModel(url.EsJobseeker);
export const PostTokenizerModify = postModel(url.TokenizerModify);
export const GetTokenizerGet = getModel(url.TokenizerGet);